# NAME

`bpkg-pkg-drop` – drop package

# SYNOPSIS

`bpkg pkg-drop|drop [options] <pkg>...`

# DESCRIPTION

The `pkg-drop` command drops one or more packages from the configuration. If the packages being dropped still have dependent packages, then those will have to be drop as well and you will be prompted to confirm. And if the packages being dropped have dependency packages that would otherwise no longer be used, then they will be dropped as well unless the `--keep-unused|-K` option is specified.

The `pkg-drop` command also supports several options (described below) that allow you to control the amount of work that will be done.

# PKG-DROP OPTIONS

`--yes`|`-y`
  Assume the answer to all prompts is `yes`. Note that this option does not apply to the dropping of dependents; use `--drop-dependent` for that.
`--no`|`-n`
  Assume the answer to all prompts is `no`. Only makes sense together with `--print-only|-p`.
`--keep-unused`|`-K`
  Don't drop dependency packages that were automatically built but will no longer be used.
`--drop-dependent`|`-D`
  Don't warn about or ask for confirmation if dropping dependent packages.
`--keep-dependent`
  Issue an error if attempting to drop dependent packages.
`--disfigure-only`
  Disfigure all the packages but don't purge.
`--print-only`|`-p`
  Print to `stdout` what would be done without actually doing anything.
`--plan` `header`
  Print the plan (even if `--yes` is specified) and start it with the `header` line (unless it is empty).
`--directory`|`-d` `dir`
  Assume configuration is in `dir` rather than in the current working directory.

# COMMON OPTIONS

The common options are summarized below with a more detailed description available in `bpkg-common-options(1)`.

`-v`
  Print essential underlying commands being executed.
`-V`
  Print all underlying commands being executed.
`--quiet`|`-q`
  Run quietly, only printing error messages.
`--verbose` `level`
  Set the diagnostics verbosity to `level` between 0 and 6.
`--jobs`|`-j` `num`
  Number of jobs to perform in parallel.
`--no-result`
  Don't print informational messages about the outcome of performing a command.
`--no-progress`
  Suppress progress indicators for long-lasting operations, such as network transfers, building, etc.
`--build` `path`
  The build program to be used to build packages.
`--build-option` `opt`
  Additional option to be passed to the build program.
`--fetch` `path`
  The fetch program to be used to download resources.
`--fetch-option` `opt`
  Additional option to be passed to the fetch program.
`--fetch-timeout` `sec`
  The fetch and fetch-like (for example, `git`) program timeout.
`--git` `path`
  The git program to be used to fetch git repositories.
`--git-option` `opt`
  Additional common option to be passed to the git program.
`--sha256` `path`
  The sha256 program to be used to calculate SHA256 sums.
`--sha256-option` `opt`
  Additional option to be passed to the sha256 program.
`--tar` `path`
  The tar program to be used to extract package archives.
`--tar-option` `opt`
  Additional option to be passed to the tar program.
`--openssl` `path`
  The openssl program to be used for crypto operations.
`--openssl-option` `opt`
  Additional option to be passed to the openssl program.
`--auth` `type`
  Types of repositories to authenticate.
`--trust` `fingerprint`
  Trust repository certificate with a SHA256 `fingerprint`.
`--trust-yes`
  Assume the answer to all authentication prompts is `yes`.
`--trust-no`
  Assume the answer to all authentication prompts is `no`.
`--pager` `path`
  The pager program to be used to show long text.
`--pager-option` `opt`
  Additional option to be passed to the pager program.
`--options-file` `file`
  Read additional options from `file`.

# BUGS

Send bug reports to the users@build2.org mailing list.